/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Range-v3", "index.html", [
    [ "User Manual", "index.html", [
      [ "Preface", "index.html#tutorial-preface", [
        [ "Installation", "index.html#tutorial-installation", null ],
        [ "License", "index.html#tutorial-license", null ],
        [ "Supported Compilers", "index.html#tutorial-compilers", null ]
      ] ],
      [ "Quick Start", "index.html#tutorial-quick-start", [
        [ "Views", "index.html#tutorial-views", null ],
        [ "View const-ness", "index.html#autotoc_md6", null ],
        [ "View validity", "index.html#autotoc_md7", null ],
        [ "List of range views", "index.html#autotoc_md8", null ],
        [ "Actions", "index.html#tutorial-actions", null ],
        [ "List of range actions", "index.html#autotoc_md10", null ],
        [ "Utilities", "index.html#tutorial-utilities", [
          [ "Create Custom Views with view_facade", "index.html#autotoc_md12", null ],
          [ "Create Custom Views with view_adaptor", "index.html#autotoc_md13", [
            [ "view_adaptor in details", "index.html#autotoc_md14", null ]
          ] ],
          [ "Create Custom Iterators with basic_iterator", "index.html#autotoc_md15", null ]
        ] ],
        [ "Concept Checking", "index.html#tutorial-concepts", null ],
        [ "Range-v3 and the Future", "index.html#tutorial-future", null ]
      ] ]
    ] ],
    [ "Examples", "md_examples.html", [
      [ "Examples: Algorithms", "md_examples.html#example-algorithms", [
        [ "Hello, Ranges!", "md_examples.html#example-hello", null ],
        [ "any_of, all_of, none_of", "md_examples.html#example-any-all-none", null ],
        [ "count", "md_examples.html#example-count", null ],
        [ "count_if", "md_examples.html#example-count_if", null ],
        [ "find, find_if, find_if_not on sequence containers", "md_examples.html#example-find", null ],
        [ "for_each on sequence containers", "md_examples.html#example-for_each-seq", null ],
        [ "for_each on associative containers", "md_examples.html#example-for_each-assoc", null ],
        [ "is_sorted", "md_examples.html#example-is_sorted", null ]
      ] ],
      [ "Examples: Views", "md_examples.html#example-views", [
        [ "Filter and transform", "md_examples.html#example-filter-transform", null ],
        [ "Generate ints and accumulate", "md_examples.html#example-accumulate-ints", null ],
        [ "Convert a range comprehension to a vector", "md_examples.html#example-comprehension-conversion", null ]
      ] ],
      [ "Examples: Actions", "md_examples.html#example-actions", [
        [ "Remove non-unique elements from a container", "md_examples.html#example-sort-unique", null ]
      ] ],
      [ "Examples: Putting it all together", "md_examples.html#example-gestalt", [
        [ "Calendar", "md_examples.html#example-calendar", null ]
      ] ]
    ] ],
    [ "Release Notes", "release_notes.html", [
      [ "Version 0.10.0 \"To Err is Human\"", "release_notes.html#v0-10-0", null ],
      [ "Version 0.9.1", "release_notes.html#v0-9-1", null ],
      [ "Version 0.9.0 \"Std::ranger Things\"", "release_notes.html#v0-9-0", null ],
      [ "Version 0.5.0", "release_notes.html#v0-5-0", null ],
      [ "Version 0.4.0", "release_notes.html#v0-4-0", null ],
      [ "Version 0.3.7", "release_notes.html#v0-3-7", null ],
      [ "Version 0.3.6", "release_notes.html#v0-3-6", null ],
      [ "Version 0.3.5", "release_notes.html#v0-3-5", null ],
      [ "Version 0.3.0", "release_notes.html#v0-3-0", null ],
      [ "Version 0.2.6", "release_notes.html#v0-2-6", null ],
      [ "Version 0.2.5", "release_notes.html#v0-2-5", null ],
      [ "Version 0.2.4", "release_notes.html#v0-2-4", null ],
      [ "Version 0.2.3", "release_notes.html#v0-2-3", null ],
      [ "Version 0.2.2", "release_notes.html#v0-2-2", null ],
      [ "Version 0.2.1", "release_notes.html#v0-2-1", null ],
      [ "Version 0.2.0", "release_notes.html#v0-2-0", null ],
      [ "Version 0.1.1", "release_notes.html#v0-1-1", null ],
      [ "Version 0.1.0", "release_notes.html#v0-1-0", null ]
    ] ],
    [ "Reference", "modules.html", "modules" ],
    [ "Indexes", "usergroup0.html", [
      [ "Methods", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ],
      [ "Classes", "annotated.html", "annotated" ],
      [ "Files", "files.html", "files" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classranges_1_1join__with__view_1_1cursor.html#ae7223ceccfee7a840a125106bdb2cb4c",
"concepts_2concepts_8hpp.html#af2f4442aa7ea426f25c7d708dec96439",
"group__group-algorithms.html#ga462a21d6b6ab0944c28d7e44c6254058",
"group__group-views.html#ga3ba9743f73522848b2cd8822c5006879",
"group__math.html#gaf4b1427cc9c4040ffca9845c068621ed",
"meta_8hpp.html#ga386fa55fefb4aa3f4df3227379916839",
"partial__sort__copy_8hpp.html",
"reverse__copy_8hpp.html#ga7bff287e5ec676e01a086ac147d4b618",
"structranges_1_1adjacent__filter__view.html#aea3d9ca1d6ec8e26cffddc84b885d990",
"structranges_1_1drop__exactly__view.html",
"structranges_1_1join__view_1_1cursor.html#a9510f1772616ff31e91f20b49fa1321a",
"structranges_1_1raw__storage__iterator.html#a0b658ef9b8449e3f19925155fa5e2cab",
"structranges_1_1view__interface.html#a32188c01ca2705aefd8e595564a82926",
"structranges_1_1views_1_1tail__fn.html#ad46a122c1360ff43f25cb4976857355a"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';